local MakePlayerCharacter = require "prefabs/player_common"

local assets = {
	Asset( "ANIM", "anim/sdf.zip" ),
	Asset( "ANIM", "anim/sdfarmor.zip" ),
	Asset( "ANIM", "anim/sdfsuit.zip" )	
}

local prefabs = {}

local start_inv = {"life_bottle"}

local fn = function(inst)
	inst.soundsname = "sdf"
	inst.MiniMapEntity:SetIcon("sdf.tex") 
	
	inst.components.talker.colour = Vector3(.9, .6, 0, 0)
	
	inst.components.health:SetMaxHealth(100)
	inst.components.sanity:SetMax(200)
	inst.components.hunger:SetMax(100)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE*1)
	inst.components.sanity.night_drain_mult = 1.2
	inst.components.sanity.neg_aura_mult = 1.4	
	
	return inst
end

return MakePlayerCharacter("sdf", prefabs, assets, fn, start_inv)