local assets = {
	Asset("ANIM", "anim/chalice_piece.zip"),
}

local prefabs = {
    "flour",
} 

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("chalice_piece")
    inst.AnimState:SetBuild("chalice_piece")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	
	inst:AddComponent("tradable")
    inst.components.tradable.goldvalue = 12
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "chalice_piece"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/chalice_piece.xml"

    return inst
end

return Prefab( "common/inventory/chalice_piece", fn, assets) 