local Assets = {
	Asset("ANIM", "anim/energy_vial.zip"),	
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst.entity:AddMiniMapEntity()	
	inst.MiniMapEntity:SetIcon( "energy_vial.tex" )	
	
    inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("energy_vial")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetBloomEffectHandle( "shaders/anim.ksh" )		
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/energy_vial.xml"
	
	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = 20

	inst:AddComponent("inspectable")

	inst:AddComponent("healer")
    inst.components.healer:SetHealthAmount(15)
    return inst
end

return Prefab( "common/inventory/energy_vial", fn, Assets)