local G = GLOBAL
local Action = G.Action
local ACTIONS = G.ACTIONS
local STRINGS = G.STRINGS

local SirDanielActions = {
	INSERTSOUL = Action({})
}
local SirDanielActionFNs = {}

SirDanielActionFNs.INSERTSOUL = function(act)
	if act.target.components.inserter then
		act.target.components.inserter:AcceptGift(act.doer, act.invobject)
	    return true
    end
end

for k,v in pairs(SirDanielActions) do
	v.id = k
	v.str = STRINGS.ACTIONS[k]
	v.fn = SirDanielActionFNs[k]
	AddAction(v)
end