local G = GLOBAL
local ACTIONS = G.ACTIONS
local ActionHandler = G.ActionHandler

local SirDanielStategraphs = {
	wilson = {
		{"action", ActionHandler(ACTIONS.INSERTSOUL, "give")},
	}
}

for stategraph,value in pairs(SirDanielStategraphs) do
	for k,v in pairs(value) do
		if v[1] == "action" then
			AddStategraphActionHandler(stategraph, v[2])
		elseif v[1] == "event" then
			AddStategraphEvent(stategraph, v[2])
		elseif v[1] == "state" then
			AddStategraphState(stategraph, v[2])
		end
	end
end